Subject: Re: [PATCH 2/2] branch, for-each-ref: add option to omit empty lines

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 Mar 2023 10:17:03 -0700

Phillip Wood <[email-masked]> writes:

> Do the empty lines in the output serve any useful purpose? If not then
> it might be better just to suppress them unconditionally rather than
> adding a new command line option.

It's a nice egg of columbus.

It however theoretically can break an existing use case where the
user correlates the output with a list of refs they externally
prepared (e.g. "for-each-ref --format... a b c" shows "A", "", and
"C", and the user knows "b" produced "").  I do not know how likely
such users complain, though, and if there is nobody who relies on
the current behaviour, surely "unconditionally omit" is a very
tempting approach to take.

Thanks.